package com.steerinfo.baseinfo.combaseinfo.mapper;

import com.steerinfo.baseinfo.combaseinfo.model.ComBaseInfo;
import com.steerinfo.framework.mapper.IBaseMapper;

import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface ComBaseInfoMapper extends IBaseMapper<ComBaseInfo, String> {

    List<ComBaseInfo> selectSpoType();

    List<ComBaseInfo> selectVideoType();

    List<ComBaseInfo> queryAll(Map<String, Object> parameters);

    List<HashMap> executeSqlData(Map<String,Object> map);

    /*按照表名和主键生成当前最大的序列号*/
    String getConfigID(@Param(value = "tablName") String tablName, @Param(value = "primaryKey") String primaryKey);

    /*按照表名和主键生成当前最大的序列号(五位)*/
    String getConfigIDByFive(@Param(value = "tablName") String tablName, @Param(value = "primaryKey") String primaryKey);

    List<String> matterNoByBaseCode(Map<String,Object> map);
    List<String> matterNoByBaseName(Map<String,Object> map);
    List<ComBaseInfo> measurementLeaderNo(HashMap<String,Object> map);
}